/*-----------------------------------------------------------------------
 t.c - test fossil program.
------------------------------------------------------------------------*/
#include <stdio.h>
#include <conio.h>
#include <string.h>
#include <dos.h>

#define WANT_BASE_TYPES

#ifdef WANT_BASE_TYPES
typedef unsigned char  BYTE;
typedef unsigned short WORD;
typedef unsigned long DWORD;
typedef int BOOL;
#endif

#include "fu.c"

#define CTRL_XONXOFF 9
#define CTRL_RTSCTS  2
#define COMPORT      5
#define PORT         (COMPORT-1)

void main(void)
{
 WORD stat;
  char *Message= "This is the RocketPort FOSSIL driver !!\r\n";
  int i, LeadingSpaces, LeadingSpaceInc;

  if (FOSSinit(PORT) != 0x1954)
  {
    puts("Port Failed Fossil Init");
    exit(1);
  }
  FOSSbaud(PORT, 0x23);  // 38400,N,8,1
  FOSSflowCtrl(PORT, 0);
//  FOSSflowCtrl(PORT, CTRL_RTSCTS);
//  FOSSflowCtrl(PORT, CTRL_XONXOFF);

  LeadingSpaces= 0;
  LeadingSpaceInc= 1;

  while (!kbhit())
  {
// #define TRY_ME
#ifdef TRY_ME
  // use send char with NO wait
    stat = FOSSstatus(PORT);
    if (stat & LNSTAT_THRE)  // ready for more data
    {
              // this will still overrun
      for (i=0; i<LeadingSpaces; i++)
        FOSSputc_0B(PORT,' ');
      for (i=0; i<strlen(Message); i++)
        FOSSputc_0B(PORT, Message[i]);
    }
    else
      printf("TX FULL!\n");
#else
  // use send char with wait
    for (i=0; i<LeadingSpaces; i++)
      FOSSputc(PORT,' ');
    for (i=0; i<strlen(Message); i++)
      FOSSputc(PORT, Message[i]);
#endif
    
    LeadingSpaces += LeadingSpaceInc;
    if (LeadingSpaces > 25)
    {  LeadingSpaceInc= -1;
      LeadingSpaces= 25;
    }
    if (LeadingSpaces < 0)
    {  LeadingSpaceInc= 1;
      LeadingSpaces= 0;
    }

    printf("FOSSstatus= %04X\r",FOSSstatus(PORT));

  }
}

