#define RXMASK_DATA    0x13     /* Rx Mask FF 913 */
#define RXMASK_OUT     0x10
#define RXCMPVAL0_DATA 0x17     /* Rx Cmp #0 00 915 */
#define RXCMPVAL0_OUT  0x14
#define RXCMPVAL1_DATA 0x1b     /* Rx Cmp #1 7B 917 */
#define RXCMPVAL1_OUT  0x18  
#define RXCMPVAL2_DATA 0x1f     /* Rx Cmp #2 7D 919 */
#define RXCMPVAL2_OUT  0x1c  
#define RXREPL1_DATA   0x27     /* Rx Repl #1 7A 91d */
#define RXREPL1_OUT    0x24
#define RXREPL2_DATA   0x2f     /* Rx Repl #2 7c 921 */
#define RXREPL2_OUT    0x2c  
#define TXXOFFVAL_DATA 0x07     /* Tx XOFF 13 909 */ 
#define TXXOFFVAL_OUT  0x04  
#define TXXONVAL_DATA  0x0b     /* Tx XON 11 90b  */
#define TXXONVAL_OUT   0x08  


/* Ignore # 0 */
#define IGNORE0_DATA  0x16  /* ce/82 914 */
#define IGNORE0_OUT   0x14  
#define IGNORE0_EN    0xce
#define IGNORE0_DIS   0x82

/* Ignore / Replace Byte #1 */
#define IGREP1_DATA  0x26  /* 0a/40/86 91c */
#define IGREP1_OUT   0x24
#define IGNORE1_EN   0x0a
#define REPLACE1_EN  0x40
#define IG_REP1_DIS  0x86

/* Ignore / Replace Byte #2 */
#define IGREP2_DATA  0x2e  /* 0a/40/82 920 */
#define IGREP2_OUT   0x2c
#define IGNORE2_EN   0x0a
#define REPLACE2_EN  0x40
#define IG_REP2_DIS  0x82

/* Interrupt Compare #1 */
#define INTCMP1_DATA 0x23   /* 11/81 91b */
#define INTCMP1_OUT  0x20
#define INTCMP1_EN   0x11
#define INTCMP1_DIS  0x81

/* Interrupt Compare #2 */
#define INTCMP2_DATA 0x2b  /* 10/81 91f */
#define INTCMP2_OUT  0x28
#define INTCMP2_EN   0x10
#define INTCMP2_DIS  0x81

/* Receive Compare #1 */
#define RXCMP1_DATA  0x1a  /* C4/82 916 */
#define RXCMP1_OUT   0x18
#define RXCMP1_EN    0xc4
#define RXCMP1_DIS   0x82

/* Receive Compare #2 */
#define RXCMP2_DATA  0x1e  /* C6/8a 918 */
#define RXCMP2_OUT   0x1c
#define RXCMP2_EN    0xc6
#define RXCMP2_DIS   0x8a

/* Receive FIFO */
#define RXFIFO_DATA  0x32  /* 08/0a 922 */
#define RXFIFO_OUT   0x30
#define RXFIFO_EN    0x08 
#define RXFIFO_DIS   0x0a

/* Transmit S/W Flow Cont */
#define TXSWFC_DATA  0x06  /* C5/8A 908 */
#define TXSWFC_OUT   0x04
#define TXSWFC_EN    0xc5
#define TXSWFC_DIS   0x8a

/* XANY Flow Control */
#define IXANY_DATA   0x0e  /* 21/86 921 */
#define IXANY_OUT    0x0c
#define IXANY_EN     0x21
#define IXANY_DIS    0x86
